=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-09-29 20:54:18 +0000
+++ bzrlib/branch.py	2005-09-29 21:03:18 +0000
@@ -36,10 +36,10 @@
 from bzrlib.delta import compare_trees
 from bzrlib.tree import EmptyTree, RevisionTree
 from bzrlib.inventory import Inventory
-from bzrlib.weavestore import WeaveStore
 from bzrlib.store import copy_all
 from bzrlib.store.compressed_text import CompressedTextStore
 from bzrlib.store.text import TextStore
+from bzrlib.store.weave import WeaveStore
 from bzrlib.transport import Transport
 import bzrlib.xml5
 import bzrlib.ui
@@ -257,8 +257,8 @@
             self.text_store = get_store('text-store')
             self.revision_store = get_store('revision-store')
         elif self._branch_format == 5:
-            self.control_weaves = get_weave([]))
-            self.weave_store = get_weave('weaves'))
+            self.control_weaves = get_weave([])
+            self.weave_store = get_weave('weaves')
             self.revision_store = get_store('revision-store', compressed=False)
 
     def __str__(self):

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2005-09-29 20:34:25 +0000
+++ bzrlib/commit.py	2005-09-29 21:03:18 +0000
@@ -317,7 +317,7 @@
         rev_tmp = StringIO()
         serializer_v5.write_revision(self.rev, rev_tmp)
         rev_tmp.seek(0)
-        self.branch.revision_store.add(rev_tmp, self.rev_id, compressed=True)
+        self.branch.revision_store.add(rev_tmp, self.rev_id)
         mutter('new revision_id is {%s}', self.rev_id)
 
 

=== modified file 'bzrlib/selftest/__init__.py'
--- bzrlib/selftest/__init__.py	2005-09-29 20:34:25 +0000
+++ bzrlib/selftest/__init__.py	2005-09-29 21:03:18 +0000
@@ -448,7 +448,6 @@
                    'bzrlib.selftest.testlog',
                    'bzrlib.selftest.testrevisionnamespaces',
                    'bzrlib.selftest.testbranch',
-                   'bzrlib.selftest.testremotebranch',
                    'bzrlib.selftest.testrevision',
                    'bzrlib.selftest.test_revision_info',
                    'bzrlib.selftest.test_merge_core',

=== removed file 'bzrlib/selftest/testremotebranch.py'
--- bzrlib/selftest/testremotebranch.py	2005-09-29 20:34:25 +0000
+++ bzrlib/selftest/testremotebranch.py	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-# Copyright (C) 2005 by Canonical Ltd
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-import bzrlib.errors
-from bzrlib.selftest.testrevision import make_branches
-from bzrlib.trace import mutter
-from bzrlib.branch import Branch, find_branch
-import gzip
-import sys
-import os
-
-from bzrlib.selftest.HTTPTestUtil import TestCaseWithWebserver
-
-from bzrlib.selftest.testfetch import fetch_steps
-
-class TestRemoteBranch(TestCaseWithWebserver):
-    def test_remote_branch(self):
-        from bzrlib.fetch import greedy_fetch, has_revision
-
-        def new_branch(name):
-            os.mkdir(name)
-            return Branch.initialize(name)
-            
-        #highest indices a: 5, b: 7
-        br_a, br_b = make_branches()
-        # unpack one of br_a's revision files to test .gz fallbacks
-        to_unzip = br_a.revision_history()[-1]
-        to_unzip_source = gzip.open(os.path.join(br_a.base, '.bzr', 
-                                                  'revision-store',
-                                                  to_unzip + '.gz'))
-        content = to_unzip_source.read()
-        to_unzip_source.close()
-        os.unlink(os.path.join(br_a.base, '.bzr', 'revision-store',
-                               to_unzip + '.gz'))
-        to_unzip_output = open(os.path.join(br_a.base, '.bzr', 
-                                             'revision-store', to_unzip), 'wb')
-        to_unzip_output.write(content)
-        to_unzip_output.close()
-        
-        br_rem = Branch.open(self.get_remote_url(br_a.base))
-        fetch_steps(self, br_rem, br_b, br_a)
-

=== modified file 'bzrlib/store/__init__.py'
--- bzrlib/store/__init__.py	2005-09-29 20:34:25 +0000
+++ bzrlib/store/__init__.py	2005-09-29 21:03:18 +0000
@@ -24,7 +24,7 @@
 unique ID.
 """
 
-from bzrlib.errors import BzrError, UnlistableStore
+from bzrlib.errors import BzrError, UnlistableStore, TransportNotPossible
 from bzrlib.trace import mutter
 import bzrlib.transport
 
@@ -66,10 +66,6 @@
     def __iter__(self):
         raise NotImplementedError
 
-    def __del__(self):
-        """Delete an entry from the store."""
-        raise NotImplementedError('Children need to define delete rights.')
-
     def add(self, f, fileid):
         """Add a file object f to the store accessible from the given fileid"""
         raise NotImplementedError('Children of Store must define their method of adding entries.')
@@ -195,7 +191,7 @@
         raise UnlistableStore(store_from)
     try:
         ids = [f for f in store_from]
-    except NotImplementedError:
+    except (NotImplementedError, TransportNotPossible):
         raise UnlistableStore(store_from)
     store_to.copy_multi(store_from, ids)
 

=== modified file 'bzrlib/store/compressed_text.py'
--- bzrlib/store/compressed_text.py	2005-09-17 21:57:11 +0000
+++ bzrlib/store/compressed_text.py	2005-09-29 21:03:18 +0000
@@ -250,7 +250,8 @@
     """
     def __init__(self):
         from transport import transport
-        super(ScratchCompressedTextStore, self).__init__(transport(tempfile.mkdtemp()))
+        t = transport(tempfile.mkdtemp())
+        super(ScratchCompressedTextStore, self).__init__(t)
 
     def __del__(self):
         self._transport.delete_multi(self._transport.list_dir('.'))

=== modified file 'bzrlib/transport/http.py'
--- bzrlib/transport/http.py	2005-09-18 21:09:19 +0000
+++ bzrlib/transport/http.py	2005-09-29 21:03:18 +0000
@@ -16,16 +16,16 @@
 """Implementation of Transport over http.
 """
 
-from bzrlib.transport import Transport, register_transport, \
-    TransportNotPossible, NoSuchFile, NonRelativePath, \
-    TransportError
+from bzrlib.transport import Transport, register_transport
+from bzrlib.errors import (TransportNotPossible, NoSuchFile, 
+                           NonRelativePath, TransportError)
 import os, errno
 from cStringIO import StringIO
 import urllib2
 import urlparse
 
 from bzrlib.errors import BzrError, BzrCheckError
-from bzrlib.branch import Branch, BZR_BRANCH_FORMAT
+from bzrlib.branch import Branch
 from bzrlib.trace import mutter
 
 # velocitynet.com.au transparently proxies connections and thereby

